Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 262163 - Enable "Find" in terminal
Enable "Find" in terminal
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
8.2
All All
: P3 (vote)
: TBD
Assigned To: ilia
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-20 11:20 UTC by ilia
Modified: 2017-06-13 06:29 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
nice to have for Find in Terminal (14.36 KB, image/png)
2016-10-06 17:40 UTC, Vladimir Voskresensky
Details
patch (13.51 KB, patch)
2017-04-25 16:26 UTC, ilia
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ilia 2016-05-20 11:20:42 UTC

    
Comment 1 Vladimir Voskresensky 2016-10-06 17:38:18 UTC
Find is almost done.
Theres is one remaining "feature" for Find in Terminal:
- in Konsole and NB Editor all 'found' text segments are highlighted, while the 'current' additionally has a selection
Comment 2 Vladimir Voskresensky 2016-10-06 17:40:51 UTC
Created attachment 162375 [details]
nice to have for Find in Terminal
Comment 3 ilia 2017-04-25 16:26:51 UTC
Created attachment 164180 [details]
patch

Almost done.

TODO:
* Properties
* Toggle button
* Extract common logic with Sel
Comment 4 Quality Engineering 2017-04-28 01:39:30 UTC
Integrated into 'main-silver', will be available in build *201704280002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/39409e62c7c7
User: Ilia Gromov <ilia@netbeans.org>
Log: Fixing #262163 - Enable "Find" in terminal
Comment 5 Quality Engineering 2017-05-13 02:10:26 UTC
Integrated into 'main-silver', will be available in build *201705130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b7841bd79206
User: Ilia Gromov <ilia@netbeans.org>
Log: Fixing #262163 - Enable "Find" in terminal.  Enable backwards search. Need to change icon
Comment 6 Quality Engineering 2017-05-14 01:45:36 UTC
Integrated into 'main-silver', will be available in build *201705140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/34194879ce81
User: Ilia Gromov <ilia@netbeans.org>
Log: Fixing #262163 - Enable "Find" in terminal. Native close button. Fix backwards search button.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo